<?xml version="1.0" encoding="UTF-8"?>
<!--
- Copyright 2015 Red Hat Inc. and/or its affiliates and other contributors.
-
- Licensed under the Apache License, Version 2.0 (the "License")
- you may not use this file except in compliance with the License.
- You may obtain a copy of the License at
- http://www.apache.org/licenses/LICENSE-2.0
- Unless required by applicable law or agreed to in writing, software
- distributed under the License is distributed on an "AS IS" BASIS,
- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- See the License for the specific language governing permissions and
- limitations under the License.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.jboss.integration-platform</groupId>
        <artifactId>jboss-integration-platform-parent</artifactId>
        <version>6.0.0.CR24</version>
    </parent>
    <groupId>org.switchyard</groupId>
    <artifactId>switchyard-bom</artifactId>
    <version>2.0.1.redhat-621216</version>
    <packaging>pom</packaging>
    <name>SwitchYard BOM</name>
    <description>The BOM for SwitchYard application development</description>
    <url>http://switchyard.org</url>
    <properties>
        <version.org.apache.camel>2.15.1.redhat-621216</version.org.apache.camel>
        <version.com.sun.xml.bind>2.2.11</version.com.sun.xml.bind>
        <version.ip.bom>6.0.0.CR24</version.ip.bom>
        <version.org.jboss.as>7.4.0.Final-redhat-19</version.org.jboss.as>
        <!-- Overrides to align versions with Fuse -->
        <version.commons-codec>1.10</version.commons-codec>
        <version.commons-io>2.4</version.commons-io>
        <version.net.sf.dozer>5.5.1</version.net.sf.dozer>
        <version.org.apache.commons.lang3>3.3.2</version.org.apache.commons.lang3>
        <version.org.apache.httpcomponents.httpclient>4.5.2</version.org.apache.httpcomponents.httpclient>
        <version.org.apache.httpcomponents.httpcore>4.4.4</version.org.apache.httpcomponents.httpcore>
        <version.org.codehaus.jackson>1.9.12</version.org.codehaus.jackson>
        <version.org.codehaus.jettison>1.3.7</version.org.codehaus.jettison>
        <version.org.jgroups>3.4.1.Final</version.org.jgroups>
        <version.org.fusesource.hawtdispatch>1.21</version.org.fusesource.hawtdispatch>
        <version.org.jboss.resteasy>2.3.10.Final</version.org.jboss.resteasy>
	<version.commons-collections>3.2.1.redhat-7</version.commons-collections> 
        <version.org.milyn>1.5.2.p1-redhat-1</version.org.milyn>
    </properties>
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>commons-collections</groupId>
                <artifactId>commons-collections</artifactId>
                <version>${version.commons-collections}</version>
            </dependency>
            <!-- REMOVE the following after IP Bom upgraded to -->
            <!-- to Camel 2.15.1                               -->
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-amqp</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-atom</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-bindy</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-blueprint</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-cdi</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-core</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-core-osgi</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-core</artifactId>
                <type>test-jar</type>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-cxf</artifactId>
                <version>${version.org.apache.camel}</version>
                <exclusions>
                    <exclusion>
                        <groupId>org.apache.cxf</groupId>
                        <artifactId>cxf-core</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-cxf-transport</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-ftp</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-hl7</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-jaxb</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-jms</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-jpa</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-mail</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-mina2</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-mqtt</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-mvel</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-netty</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-ognl</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-quartz</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-rss</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-saxon</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-script</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-spring</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-soap</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-sql</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-xstream</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-test</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-test-spring</artifactId>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.camel.karaf</groupId>
                <artifactId>apache-camel</artifactId>
                <classifier>features</classifier>
                <type>xml</type>
                <version>${version.org.apache.camel}</version>
            </dependency>
            <dependency>
                 <groupId>org.milyn</groupId>
                 <artifactId>milyn-smooks-all</artifactId>
                 <version>${version.org.milyn}</version>
            </dependency>

            <dependency>
                <groupId>com.sun.xml.bind</groupId>
                <artifactId>jaxb-impl</artifactId>
                <version>${version.com.sun.xml.bind}</version>
            </dependency>
            <dependency>
                <groupId>com.sun.xml.bind</groupId>
                <artifactId>jaxb-xjc</artifactId>
                <version>${version.com.sun.xml.bind}</version>
            </dependency>

            <dependency>
                <groupId>org.jboss.integration-platform</groupId>
                <artifactId>jboss-integration-platform-bom</artifactId>
                <version>${version.ip.bom}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.jboss.as</groupId>
                <artifactId>jboss-as-parent</artifactId>
                <version>${version.org.jboss.as}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!--############################################################-->
            <!--# SwitchYard Core Dependencies                             #-->
            <!--############################################################-->
            <dependency>
                <groupId>org.switchyard</groupId>
                <artifactId>switchyard-api</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard</groupId>
                <artifactId>switchyard-deploy-webapp</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard</groupId>
                <artifactId>switchyard-remote</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard</groupId>
                <artifactId>switchyard-test</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard</groupId>
                <artifactId>switchyard-transform</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard</groupId>
                <artifactId>switchyard-validate</artifactId>
                <version>${project.version}</version>
            </dependency>
            <!--############################################################-->
            <!--# SwitchYard Component Dependencies                        #-->
            <!--############################################################-->
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-bean</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-bpel</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-amqp</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-atom</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-core</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-cxf</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-file</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-ftp</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-jms</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-jpa</artifactId>
                <version>${project.version}</version>
                <exclusions>
                    <exclusion>
	      <groupId>org.hibernate.javax.persistence</groupId>
	      <artifactId>hibernate-jpa-2.1-api</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-mail</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-mqtt</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-netty</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-quartz</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-rss</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-sap</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-camel-sql</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-clojure</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-http</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-jca</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-resteasy</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-sca</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-soap</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-test-mixin-activemq</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-test-mixin-amqp</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-test-mixin-cdi</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-test-mixin-hornetq</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-test-mixin-http</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-test-mixin-jca</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-test-mixin-naming</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.components</groupId>
                <artifactId>switchyard-component-test-mixin-smooks</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.switchyard.quickstarts</groupId>
                <artifactId>switchyard-quickstart-testutil</artifactId>
                <version>${project.version}</version>
            </dependency>
            <!-- Fuse alignment -->
            <dependency>
                <groupId>commons-codec</groupId>
                <artifactId>commons-codec</artifactId>
                <version>${version.commons-codec}</version>
            </dependency>
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${version.commons-io}</version>
            </dependency>
            <dependency>
                <groupId>net.sf.dozer</groupId>
                <artifactId>dozer-osgi</artifactId>
                <version>${version.net.sf.dozer}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpclient</artifactId>
                <version>${version.org.apache.httpcomponents.httpclient}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpcore</artifactId>
                <version>${version.org.apache.httpcomponents.httpcore}</version>
            </dependency>
            <dependency>
                <groupId>org.codehaus.jackson</groupId>
                <artifactId>jackson-core-asl</artifactId>
                <version>${version.org.codehaus.jackson}</version>
            </dependency>
            <dependency>
                <groupId>org.codehaus.jackson</groupId>
                <artifactId>jackson-mapper-asl</artifactId>
                <version>${version.org.codehaus.jackson}</version>
            </dependency>
            <dependency>
                <groupId>org.jgroups</groupId>
                <artifactId>jgroups</artifactId>
                <version>${version.org.jgroups}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
    
    <repositories>
        <!-- Note: repo.fusesource.com is the correct repo for JBoss Fuse and it is not a mistake -->
        <repository>
            <id>fusesource.ea</id>
            <name>JBoss Community Early Access Release Repository</name>
            <url>https://repo.fusesource.com/nexus/content/groups/ea</url>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
        </repository>
        <repository>
            <id>jboss-enterprise-techpreview-group</id>
            <name>JBoss Enterprise Technology Preview  Maven Repository Group</name>
            <url>http://maven.repository.redhat.com/techpreview/all/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </snapshots>
        </repository>
        <repository>
            <id>jboss-public-repository-group</id>
            <name>JBoss Public Maven Repository Group</name>
            <url>https://repository.jboss.org/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </snapshots>
        </repository>
        <repository>
            <id>fusesource-public-release-repository-group</id>
            <url>https://repository.jboss.org/nexus/content/repositories/fs-releases</url>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </snapshots>
        </repository>
    </repositories>
    <pluginRepositories>
        <pluginRepository>
            <id>fusesource.ea</id>
            <name>FuseSource Community Early Access Release Repository</name>
            <url>https://repo.fusesource.com/nexus/content/groups/ea</url>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
        </pluginRepository>
        <pluginRepository>
            <id>jboss-enterprise-techpreview-group</id>
            <name>JBoss Enterprise Technology Preview  Maven Repository Group</name>
            <url>http://maven.repository.redhat.com/techpreview/all/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </snapshots>
        </pluginRepository>
        <pluginRepository>
            <id>jboss-public-repository-group</id>
            <name>JBoss Public Maven Repository Group</name>
            <url>https://repository.jboss.org/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <updatePolicy>never</updatePolicy>
            </snapshots>
        </pluginRepository>
        <pluginRepository>
            <id>fusesource-public-release-repository-group</id>
            <url>https://repository.jboss.org/nexus/content/repositories/fs-releases</url>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>
    
</project>
